OPENSSL-DHPARAM(1SSL)

NUME
manipularea și generarea parametrilor DH

SINOPSIS
openssl dhparam [-help] [-inform DER|PEM] [-outform DER|PEM] [-in filename] [-out nume-fișier] [-dsaparam] [-check] [-noout] [-text] [-verbose] [-quiet] [-2] [-3] [-5] [-engine id] [-rand files] [-writerand fișier] [-provider name] [-provider-path ruta] [-provparam [nume:]cheie=valoare] [-propquery propq] [număr-biți]

DESCRIERE
Această comandă este utilizată pentru a manipula fișierele cu parametri DH.

Consultați „EXEMPLE” în openssl-genpkey(1) pentru exemple privind modul de generare a unei chei utilizând un grup prim sigur numit, fără a genera parametri intermediari.

OPȚIUNI

-help
    Afișează acest mesaj de utilizare.

-inform DER|PEM, -outform DER|PEM
    Formatul de intrare și formatul de ieșire; implicit este PEM. Obiectul este compatibil cu structura PKCS#3 DHparameter. Pentru detalii, consultați openssl-format-options(1).

-in nume-fișier
    Aceasta specifică fișierul de intrare din care se citesc parametrii sau intrarea standard dacă această opțiune nu este specificată.

-out nume-fișier
    Aceasta specifică fișierul de ieșire în care se vor scrie parametrii. Dacă această opțiune nu este prezentă, se utilizează ieșirea standard. Numele fișierului de ieșire poate fi același cu numele fișierului de intrare, ceea ce duce la înlocuirea conținutului fișierului. Rețineți că In/Ieș fișierului nu este atomică. Fișierul de ieșire este trunchiat și apoi scris.

-dsaparam
    Dacă se utilizează această opțiune, se citesc sau se creează parametri DSA în loc de parametri DH; aceștia sunt convertiți în format DH. În caz contrar, pentru generarea parametrilor DH se vor utiliza numere prime sigure (astfel încât (p-1)/2 să fie și el un număr prim).

    Generarea parametrilor DH cu opțiunea -dsaparam este mult mai rapidă. Rețineți că, în cazul parametrilor DH de tip DSA, trebuie creată o cheie DH nouă pentru fiecare utilizare, pentru a evita atacurile de tip „small-subgroup” care ar putea avea loc în caz contrar.

-check
    Efectuează numeroase verificări pentru a vedea dacă parametrii furnizați sunt valizi și afișează un avertisment dacă nu sunt.

-2, -3, -5
    Generatorul care trebuie utilizat, fie 2, 3 sau 5. Dacă este prezent, fișierul de intrare este ignorat și în schimb sunt generați parametrii. Dacă nu este prezent, dar număr-biți este prezent, parametrii sunt generați cu generatorul implicit 2.

număr-biți
    Această opțiune specifică faptul că trebuie generat un set de parametri cu dimensiunea numbits. Trebuie să fie ultima opțiune. Dacă această opțiune este prezentă, fișierul de intrare este ignorat și în schimb sunt generați parametrii. Dacă această opțiune nu este prezentă, dar este prezent un generator (-2, -3 sau -5), parametrii sunt generați cu o lungime implicită de 2048 biți. Lungimea minimă este de 512 biți. Lungimea maximă este de 10000 biți.

-noout
    Această opțiune inhibă ieșirea versiunii codificate a parametrilor.

-text
    Această opțiune afișează parametrii DH într-un format lizibil.

-engine id
    Consultați secțiunea «Opțiuni motor» din openssl(1). Această opțiune este depreciată.

-rand fișiere, -writerand fișier
    Consultați «Opțiuni de stare aleatorie» în openssl(1) pentru detalii.

-provider nume
-provider-path rută
-provparam [nume:]key=valoare
-propquery propq
    Consultați „Opțiuni furnizor” în openssl(1), provider(7) și property(7).

-verbose
    Această opțiune permite afișarea mesajelor de progres, ceea ce este util atunci când se execută interactiv comenzi care pot dura mult timp.

-quiet
    Această opțiune suprimă afișarea mesajelor de progres, care pot fi nedorite în scripturile pe loturi (batch) sau în liniile de conducte (pipelines).

NOTE
Această comandă înlocuiește comenzile dh și gendh din versiunile anterioare.

CONSULTAȚI ȘI
openssl(1), openssl-pkeyparam(1), openssl-dsaparam(1), openssl-genpkey(1).

ISTORIC
Opțiunea -engine a fost depreciată în OpenSSL 3.0.

Opțiunea -C a fost eliminată în OpenSSL 3.0.

DREPTURI DE AUTOR
Drepturi de autor 2000-2023 The OpenSSL Project Authors. Toate drepturile rezervate.

Licențiat sub Licența Apache 2.0 („License”). Nu aveți voie să utilizați acest fișier decât în conformitate cu licența. Puteți obține o copie din fișierul LICENSE din distribuția sursei sau de la <https://www.openssl.org/source/license.html>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.